#include <iostream>
using namespace std;

#ifndef EHANDLER
#define EHANDLER

typedef int Event;
const Event No_Event_Support = -1;

namespace duplicateSymbols
{
	void myFunction(void);
}

namespace eventHandling
{
class EventHandler {
public:
	EventHandler(EventHandler* = 0, Event = No_Event_Support);
	virtual bool HasEventSupport();
	virtual void SetHandler(EventHandler*, Event);
	virtual void HandleEvent();
private:
	EventHandler* _successor;
	Event _event;
};

typedef int SpecialEvent;
}
#endif //EHANDLER